Closed Bug 390366 Opened 13 years ago Closed 12 years ago

Launch app with original privileges on Vista (e.g. without elevation)

Categories

(Toolkit :: NSIS Installer, defect)

x86
Windows Vista
defect
Not set

Tracking

()

RESOLVED FIXED
mozilla1.9beta1

People

(Reporter: rstrong, Assigned: rstrong)

References

Details

App will de-elevate on start to mitigate this problem for the installer and software update. I'd like to add support for this in the installer itself.

Possible solutions:

add a manifest to the 7-Zip SEA to runasinvoker. This would then launch a small launcher app that would ran the installer. The installer would have a manifest with requireAdministrator. After the install is complete the launcher app would check for the existence of a file to determine whether it should launch the application.

Use the safer NSIS plugin http://nsis.sourceforge.net/SAFER_plug-in - it may not solve all scenarios though.
Assignee: nobody → robert.bugzilla
Target Milestone: --- → mozilla1.9 M9
Fixed by the landing of Bug 370571 and the use of the UAC NSIS plugin.
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.